Bug 595162 - Upgrade libisofs from 0.6.20 to 0.6.32
Upgrade libisofs from 0.6.20 to 0.6.32
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libisofs (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Nikola Pajkovsky
BaseOS QE - Apps
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 13:58 EDT by Robert Scheck
Modified: 2014-02-02 17:14 EST (History)
5 users (show)

See Also:
Fixed In Version: libisofs-0.6.32-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2010-05-23 13:58:09 EDT
Description of problem:
Please upgrade libisofs from 0.6.20 to 0.6.32 that we don't ship an
already heavily outdated and old libisofs library in RHEL 6.

Version-Release number of selected component (if applicable):
libisofs-0.6.20-2.1.el6

How reproducible:
Everytime

Actual results:
libisofs-0.6.20-2.1.el6

Expected results:
libisofs-0.6.32-1.el6 or better... ;-)
Comment 2 RHEL Product and Program Management 2010-05-25 14:27:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Nikola Pajkovsky 2010-05-26 05:04:05 EDT
Here we have changes in API

662: Thomas Schmitt 2010-05-03 {release-0.6.32} Version leap to 0.6.32
661: Thomas Schmitt 2010-05-01 Removed most of the development remarks of 0.6.31
660: Thomas Schmitt 2010-04-30 Corrected calls of functions iso_lsb(), iso_msb(), iso_bb() which used
659: Thomas Schmitt 2010-04-29 Making an educated guess whether the boot images contain a boot info table.
658: Thomas Schmitt 2010-04-25 Closed memory leak about boot catalog node.
657: Thomas Schmitt 2010-04-25 New API calls el_torito_get_isolinux_options(), el_torito_get_boot_media_type()
656: Thomas Schmitt 2010-04-23 Fixed a bug introduced with previous revision 655.
655: Thomas Schmitt 2010-04-23 New API calls el_torito_set_id_string(), el_torito_get_id_string(),
654: Thomas Schmitt 2010-04-22 Bug fix of previous revision 653:
653: Thomas Schmitt 2010-04-22 Added support for multiple boot images.
652: Thomas Schmitt 2010-04-20 Changed new API call from iso_image_set_boot_platform_id() to
651: Thomas Schmitt 2010-04-20 New API call iso_image_set_boot_platform_id().
650: Thomas Schmitt 2010-04-17 Version leap to 0.6.31
649: Thomas Schmitt 2010-04-17 {release-0.6.30} Version leap to 0.6.30
648: Thomas Schmitt 2010-04-17 Updated genealogy of isohybrid MBR production.
647: Thomas Schmitt 2010-04-16 New API calls iso_read_opts_load_system_area() and iso_image_get_system_area()
646: Thomas Schmitt 2010-04-15 Enhanced configure tests for iconv. Now aborting if not available.
645: Thomas Schmitt 2010-04-14 Extended effect of iso_write_opts_set_pvd_times() parameter uuid to
644: Thomas Schmitt 2010-04-13 Implemented no_force_dots and separate omit_version_numbers for
643: Thomas Schmitt 2010-04-10 New bit1 of iso_write_opts_set_system_area() options.
642: Thomas Schmitt 2010-04-07 New API call iso_write_opts_set_pvd_times().
641: Thomas Schmitt 2010-04-06 New API call iso_write_opts_set_system_area() acts like mkisofs option -G
640: Thomas Schmitt 2010-02-14 Adjusted copyright and license statements in single files.
639: Thomas Schmitt 2010-02-13 Added copyright statements to technical specs in doc directory.
638: Thomas Schmitt 2010-02-12 Updated license situation of make_isohybrid_mbr.c
637: Thomas Schmitt 2010-02-12 Changed comments from "Linux" to "GNU/Linux" where appropriate.
636: Thomas Schmitt 2010-02-10 Version leap to 0.6.29
635: Thomas Schmitt 2010-02-10 {release-0.6.28} Version leap to 0.6.28
634: Thomas Schmitt 2010-02-08 Updated license statement about our legal view and future licenses.
633: Thomas Schmitt 2010-02-08 Wrapped #endif mark into comment characters.
632: Thomas Schmitt 2010-02-08 One more safety precaution about checksum indice.
631: Thomas Schmitt 2010-02-08 Bug fix: Random checksum index could sneak in via boot catalog node
630: Thomas Schmitt 2010-02-08 Corrected a wrong constant with checksum indice of Iso_File_Src.
629: Thomas Schmitt 2010-02-08 Reacted on compiler warnings from gzpLinux on kernel 2.6
628: Thomas Schmitt 2010-02-05 Avoiding unnecessary use of pthread_exit()
627: Thomas Schmitt 2010-02-04 Forcing use of /usr/local on FreeBSD by LDFLAGS and CPPFLAGS.
626: Thomas Schmitt 2010-01-27 Changed leftover text which disallowed GPLv3.
625: Thomas Schmitt 2010-01-27 Removed more occurences of old restriction to GPLv2.
624: Thomas Schmitt 2010-01-20 Version leap to 0.6.27
623: Thomas Schmitt 2010-01-20 {release-0.6.26} Version leap to 0.6.26
622: Thomas Schmitt 2010-01-19 Updated copyright year and removed ban to derive GPLv3 or later.
621: Thomas Schmitt 2010-01-19 Removed outdated defunct code piece
620: Thomas Schmitt 2010-01-17 Bug fix: Invalid checksum tags were preserved when the new session produced
619: Thomas Schmitt 2010-01-11 More graceful reaction on filesystems where ACL are not enabled.
618: Thomas Schmitt 2010-01-10 Described scdbackup checksum tags in checksums..txt
617: Thomas Schmitt 2010-01-07 Changed configure test for zlib from compress2() to compressBound()
616: Thomas Schmitt 2009-12-31 Invalidating checksum buffer in case that image generation gets cancled.
615: Thomas Schmitt 2009-12-31 Introduced a default definition for PATH_MAX.
614: Thomas Schmitt 2009-12-04 Clarified that absolute paths to the local filesystem are expected.
613: Thomas Schmitt 2009-10-08 Version leap to 0.6.25
612: Thomas Schmitt 2009-10-08 {release-0.6.24} Version leap to 0.6.24
611: Thomas Schmitt 2009-10-08 Removed now unused function util.c:strcopy()
610: Thomas Schmitt 2009-10-07 Bug fix: short Rock Ridge names got stripped of trailing blanks when loaded
609: Thomas Schmitt 2009-10-07 Removed the remaining single blanks from empty PVD id strings.
608: Thomas Schmitt 2009-10-05 Added code for repairing "_" in all three PVD id file names.
607: Thomas Schmitt 2009-10-05 Avoided to convert empty PVD components copyright_file_id, abstract_file_id, or
606: Thomas Schmitt 2009-10-05 Avoided to return NULL by API calls iso_image_get_volset_id(), ...,
605: Thomas Schmitt 2009-09-17 Expanded new API call iso_write_opts_set_scdbackup_tag
604: Thomas Schmitt 2009-08-31 New API call iso_write_opts_set_scdbackup_tag()
603: Thomas Schmitt 2009-08-30 Updated description of libisofs checksum processing
602: Thomas Schmitt 2009-08-25 Version leap to 0.6.23
601: Thomas Schmitt 2009-08-25 {release-0.6.22} Version leap to 0.6.22
Comment 4 Nikola Pajkovsky 2010-05-26 10:27:24 EDT
$ rpm -q libisofs
libisofs-0.6.32-1.el6.x86_64

$ ls -l /usr/lib64/libisofs.so*
lrwxrwxrwx. 1 root root     18 May 26 12:35 /usr/lib64/libisofs.so -> libisofs.so.6.28.0
lrwxrwxrwx. 1 root root     18 May 26 12:35 /usr/lib64/libisofs.so.6 -> libisofs.so.6.28.0
-rwxr-xr-x. 1 root root 288080 May 26 12:28 /usr/lib64/libisofs.so.6.28.0
Comment 7 releng-rhel@redhat.com 2010-07-02 15:23:19 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.